curl -X POST "https://api.agenticpencil.com/v1/content/audit" \
-H "Authorization: Bearer ap_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"domain": "sonant.ai",
"max_pages": 50
}'
{
"success": true,
"data": {
"domain": "sonant.ai",
"pages_crawled": 50,
"pages": [
{
"url": "https://sonant.ai/blog/ai-receptionist",
"title": "AI Receptionist for Insurance",
"word_count": 1250,
"meta_description": "Learn about AI receptionists..."
}
],
"thin_content": [
{ "url": "https://sonant.ai/old-page", "word_count": 120, "title": "Old Page" }
],
"cannibalization_risks": [
{
"keyword": "ai receptionist",
"urls": ["https://sonant.ai/blog/ai-receptionist", "https://sonant.ai/features"]
}
],
"summary": {
"total": 50,
"thin": 3,
"cannibalization_issues": 2,
"avg_words": 850
}
},
"meta": {
"credits_used": 15,
"credits_remaining": 985,
"request_id": "abc-123"
}
}
Endpoints
Content Audit
Analyze your existing content — crawl sitemap, detect thin content and cannibalization
POST
/
v1
/
content
/
audit
curl -X POST "https://api.agenticpencil.com/v1/content/audit" \
-H "Authorization: Bearer ap_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"domain": "sonant.ai",
"max_pages": 50
}'
{
"success": true,
"data": {
"domain": "sonant.ai",
"pages_crawled": 50,
"pages": [
{
"url": "https://sonant.ai/blog/ai-receptionist",
"title": "AI Receptionist for Insurance",
"word_count": 1250,
"meta_description": "Learn about AI receptionists..."
}
],
"thin_content": [
{ "url": "https://sonant.ai/old-page", "word_count": 120, "title": "Old Page" }
],
"cannibalization_risks": [
{
"keyword": "ai receptionist",
"urls": ["https://sonant.ai/blog/ai-receptionist", "https://sonant.ai/features"]
}
],
"summary": {
"total": 50,
"thin": 3,
"cannibalization_issues": 2,
"avg_words": 850
}
},
"meta": {
"credits_used": 15,
"credits_remaining": 985,
"request_id": "abc-123"
}
}
Crawl your sitemap, analyze page content, detect thin pages and keyword cannibalization risks.
curl -X POST "https://api.agenticpencil.com/v1/content/audit" \
-H "Authorization: Bearer ap_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"domain": "sonant.ai",
"max_pages": 50
}'
Authorization
string
required
Bearer token. Format:
Bearer ap_your_api_keyRequest Body
string
required
Your website domain
string
URL to your XML sitemap (auto-detected if not provided)
integer
Maximum pages to audit (1-500, default: 100)
Response
{
"success": true,
"data": {
"domain": "sonant.ai",
"pages_crawled": 50,
"pages": [
{
"url": "https://sonant.ai/blog/ai-receptionist",
"title": "AI Receptionist for Insurance",
"word_count": 1250,
"meta_description": "Learn about AI receptionists..."
}
],
"thin_content": [
{ "url": "https://sonant.ai/old-page", "word_count": 120, "title": "Old Page" }
],
"cannibalization_risks": [
{
"keyword": "ai receptionist",
"urls": ["https://sonant.ai/blog/ai-receptionist", "https://sonant.ai/features"]
}
],
"summary": {
"total": 50,
"thin": 3,
"cannibalization_issues": 2,
"avg_words": 850
}
},
"meta": {
"credits_used": 15,
"credits_remaining": 985,
"request_id": "abc-123"
}
}
Credit Cost: 15 credits per request
⌘I